import React, { useState } from 'react';
import './App.css';
import { ContextLang } from './components/ContextLang';
import { Footer } from './components/footer/footer';
import { MainPart } from './components/mainPart/mainPart';

function App() {
  const [currentLang, setCurrentLang] = useState<'ru' | 'en'>('ru');
  return (
    <div className="App">
      <ContextLang.Provider value={{lang: currentLang, setLang: setCurrentLang}} >
        <MainPart />
        <Footer />
      </ContextLang.Provider>      
    </div>
  );
}

export default App;
